Bug 1000556 - Resume after suspend in dock with Dell Latitude
Resume after suspend in dock with Dell Latitude
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 12:37 EDT by Matthew Saltzman
Modified: 2015-02-17 11:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:53:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photo of screen after lock-up (1.87 MB, image/jpeg)
2013-08-23 12:37 EDT, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2013-08-23 12:37:27 EDT
Created attachment 789655 [details]
Photo of screen after lock-up

Description of problem:
On resume from suspend with the unit in its dock, the machine locks up.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.9-1.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Suspend
2. Dock
3. Resume

Actual results:
Machine locks up

Expected results:
Machine resumes with external display live

Additional info:
I work around this by resuming undocked, switching to a text VC, docking, then switching back to X.

I'm using Gnome-Shell for a desktop.

Photo of screen after lockup attached.  (The fact that there are messages is a recent change from previous incidents, which froze with a black screen.)
Comment 1 Matthew Saltzman 2013-08-23 14:38:39 EDT
Should have mentioned, this is a Latitude E6430 with the following GPU:

01:00.0 VGA compatible controller: NVIDIA Corporation GF108GLM [NVS 5200M] (rev 
a1) (prog-if 00 [VGA controller])
	Subsystem: Dell Device 0534
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f0000000 (64-bit, prefetchable) [size=32M]
	I/O ports at e000 [size=128]
	Expansion ROM at f6000000 [disabled] [size=512K]
	Capabilities: [60] Power Management version 3
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [b4] Vendor Specific Information: Len=14 <?>
	Capabilities: [100] Virtual Channel
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Kernel driver in use: nouveau

nVidia Optimus is currently disabled.

The lockups also occurred with an E6410 (don't have the GPU model handy), but the screen displayed no messages.
Comment 2 Fedora End Of Life 2015-01-09 14:34:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:53:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.